package com.flossom.common.core.domain.entity;

import com.flossom.common.core.annotation.Excel;
import com.flossom.common.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.List;

/**
 * 模式组合对象 wx_mode_combine_info
 *
 * @author flossom
 * @date 2024-02-01
 */
public class WxModeCombineInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 关联模式ID */
    @Excel(name = "关联模式ID")
    private Long modeId;
    /** 关联模式组合ID */
    private Long combineModeId;

    /** 组合时间 */
    @Excel(name = "组合时间")
    private Integer combine;

    /** 使用技术ID */
    @Excel(name = "使用技术ID")
    private String technologyInfo;

    /** 功效内容 */
    @Excel(name = "功效内容")
    private String effectContent;

    private List<String> technologyArray;
    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setModeId(Long modeId)
    {
        this.modeId = modeId;
    }

    public Long getModeId()
    {
        return modeId;
    }
    public void setCombine(Integer combine)
    {
        this.combine = combine;
    }

    public Integer getCombine()
    {
        return combine;
    }
    public void setTechnologyInfo(String technologyInfo)
    {
        this.technologyInfo = technologyInfo;
    }

    public String getTechnologyInfo()
    {
        return technologyInfo;
    }
    public void setEffectContent(String effectContent)
    {
        this.effectContent = effectContent;
    }

    public String getEffectContent()
    {
        return effectContent;
    }

    public List<String> getTechnologyArray() {
        return technologyArray;
    }

    public void setTechnologyArray(List<String> technologyArray) {
        this.technologyArray = technologyArray;
    }

    public Long getCombineModeId() {
        return combineModeId;
    }

    public void setCombineModeId(Long combineModeId) {
        this.combineModeId = combineModeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("modeId", getModeId())
            .append("combine", getCombine())
            .append("technologyInfo", getTechnologyInfo())
            .append("effectContent", getEffectContent())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .toString();
    }
}
